import frappe

def add_company_to_party_account_types(bootinfo):
    # Проверяем, существует ли объект party_account_types в bootinfo
    if "party_account_types" in bootinfo:
        # Если "Company" еще нет в списке, добавляем его
        if "Company" not in bootinfo["party_account_types"]:
            bootinfo["party_account_types"]["Company"] = "Company"
    else:
        # Инициализируем party_account_types, если его нет
        bootinfo["party_account_types"] = {"Company": "Company"}
